OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_SeqExplorerOfHSequenceOfHAsciiString Class Reference

`#include <PColStd_SeqExplorerOfHSequenceOfHAsciiString.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_SeqExplorerOfHSequenceOfHAsciiString (const Handle(PColStd_HSequenceOfHAsciiString)&S)
Standard_EXPORT Handle_PCollection_HAsciiString | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const Handle(PCollection_HAsciiString)&T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(PCollection_HAsciiString)&T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Handle(PCollection_HAsciiString)&T)
## Private Attributes
Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString | CurrentItem
Standard_Integer | CurrentIndex
Handle_PColStd_HSequenceOfHAsciiString | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_SeqExplorerOfHSequenceOfHAsciiString::PColStd_SeqExplorerOfHSequenceOfHAsciiString | ( | const Handle(PColStd_HSequenceOfHAsciiString)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PColStd_SeqExplorerOfHSequenceOfHAsciiString::Contains | ( | const Handle(PCollection_HAsciiString)& | T | ) |

Standard_EXPORT Standard_Integer PColStd_SeqExplorerOfHSequenceOfHAsciiString::Location | ( | const Standard_Integer | N,
|  | const Handle(PCollection_HAsciiString)& | T
| ) |

Standard_EXPORT Standard_Integer PColStd_SeqExplorerOfHSequenceOfHAsciiString::Location | ( | const Standard_Integer | N,
|  | const Handle(PCollection_HAsciiString)& | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PColStd_SeqExplorerOfHSequenceOfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColStd_SeqExplorerOfHSequenceOfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

void* PColStd_SeqExplorerOfHSequenceOfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_PCollection_HAsciiString PColStd_SeqExplorerOfHSequenceOfHAsciiString::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PColStd_SeqExplorerOfHSequenceOfHAsciiString::CurrentIndex`[private]`

Handle_PColStd_SeqNodeOfHSequenceOfHAsciiString PColStd_SeqExplorerOfHSequenceOfHAsciiString::CurrentItem`[private]`

Handle_PColStd_HSequenceOfHAsciiString PColStd_SeqExplorerOfHSequenceOfHAsciiString::TheSequence`[private]`

The documentation for this class was generated from the following file:

- PColStd_SeqExplorerOfHSequenceOfHAsciiString.hxx